Subject: Re: Windows support

From: Marius Storm-Olsen <[email-masked]>
Date: Thu, 26 Jul 2007 18:58:38 +0200

Nguyen Thai Ngoc Duy wrote:
> On 7/26/07, Johannes Schindelin <[email-masked]> wrote:
>> Thank you for working on this!
>>
>> However, I am not completely convinced that having a builtin shell is all
>> that useful.  I for one would like to have MinGW busybox _separate_ from
>> git...
> 
> I make MinGW busybox part of git for some reasons:
> 
> - Making a full MinGW busybox would take lots of time. I don't need
> busybox for Windows. What I need is a shell and enough POSIX utilities
> to run git shell scripts without any dependencies. Windows users
> (including myself when I have to use Windows) hate dependencies.
> - I don't want MinGW busybox to be used outside of git (if it is
> installed separated from git), there are cygwin and msys already. I
> don't want to compete them. And I don't like conflicts (not sure
> though) because you have multiple UNIX emulations on the same system.
(..snip..)

Hi Duy,

*drool*
This was an extremely good idea! Thank you so much for working on it!
I'll be sure to play around with it, and see if there's any way I can
help out. Guess I finally have to get that MinGW compile environment set
up then :-)

Btw, are you compiling with MinGW on Windows, or cross-compiling on Linux?

Neat neat neat!

--
.marius